/*
defs.h -- definitions we need
Copyright (C) 2005  Martin Wolters

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the 

Free Software Foundation, Inc.
51 Franklin Street, Fifth Floor
Boston, MA  02110-1301
USA

You can contact the author via electronic mail by the address
'nc-wolterma4@netcologne.de'.
*/

#ifndef _DEFS_H_
#define _DEFS_H_

#include <SDL.h>
#include <SDL_ttf.h>

#define STARTLIN 2
#define MAXRULES 10
#define NAMLEN 255
#define MAXFILES 255 
#define SIZE 15

#ifdef GP2X
 #define BTN_UP		0	// Stick Up
 #define BTN_DN		4	// Stick Down
 #define BTN_PGUP	15	// Y
 #define BTN_PGDN	14	// X

 #define BTN_DIR	10	// L
 #define BTN_OK		11	// R
 #define BTN_OK2	18	// Stick
 #define BTN_QU		8	// Start
#else
 #define BTN_UP		273	// Up Arrow
 #define BTN_DN		274	// Down Arrow
 #define BTN_PGUP	280	// PgUp
 #define BTN_PGDN 	281	// PgDown

 #define BTN_DIR	8	// Backspace
 #define BTN_OK		13	// Enter
 #define BTN_OK2	' '	// Space
 #define BTN_QU		27	// Esc
#endif 

#define TYPE_DIR 0
#define TYPE_FIL 1

typedef struct {
	char *cExt[MAXRULES];
	char *cApp[MAXRULES];
	int iNumRules;
} RULES;

typedef struct {
	int iUp;
	int iDown;
	int iPgUp;
	int iPgDown;
	int iParent;
	int iExecute;
	int iQuit;
} KEYS;

typedef struct {
	SDL_Surface *dWindow;
	TTF_Font *fFont;
	SDL_Color sFnCol[2];
	SDL_Color sBgCol;

	KEYS sKeyInfo;
	
	int iEvent;
	int iLine;
	int iColumn;
	int iCurLine;
	int iWndLine;
} INFO;

typedef struct {
	char *cWorkingDir;
	char *cFileName[MAXFILES];
	int iFileType[MAXFILES];
	int iNumFiles;
} DIRINFO;

#endif

/*)\
\(*/
